function m = updateElasticity( m )
    m.globalProps.D = IsotropicStiffnessMatrix( ...
        m.globalProps.bulkmodulus, m.globalProps.poissonsRatio );
    m.cellbulkmodulus = repmat( m.globalProps.bulkmodulus, [size(m.tricellvxs,1), 1] );
    m.cellpoisson = repmat( m.globalProps.poissonsRatio, [size(m.tricellvxs,1), 1] );
    m.cellstiffness = IsotropicStiffnessMatrix( m.cellbulkmodulus, m.cellpoisson );
        % repmat( m.globalProps.D, [1, 1, size(m.tricellvxs,1)] );
  % m.globalProps.C = inv( m.globalProps.D );
    m.globalProps.C = IsotropicComplianceMatrix( ...
        m.globalProps.bulkmodulus, m.globalProps.poissonsRatio );
end
